Bug 311591 - RFE: make lock_dlm the default mkfs lockproto
Summary: RFE: make lock_dlm the default mkfs lockproto
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Abhijith Das
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks: 435917
TreeView+ depends on / blocked
 
Reported: 2007-09-28 19:07 UTC by Corey Marthaler
Modified: 2010-01-12 03:33 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0349
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:36:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0349 normal SHIPPED_LIVE gfs-utils bug fix update 2008-05-20 12:50:54 UTC

Description Corey Marthaler 2007-09-28 19:07:13 UTC
Description of problem:
Without lockgulm around in rhel5 anymore, it seems silly to have to enter a lock
protocol everytime I mkfs a new gfs filesystem.

From the man page:
"LockProtoName is the name of the  locking  protocol to use.  The locking
protocol should be lock_dlm for a clustered file system..."


Version-Release number of selected component (if applicable):
gfs-utils-0.1.12-1.el5

Comment 4 Abhijith Das 2007-10-17 20:17:52 UTC
committed fix to cvs HEAD and RHEL5 to make lock_dlm the default lock protocol
in mkfs.gfs and mkfs.gfs2.

Comment 6 Corey Marthaler 2007-12-19 22:05:48 UTC
fixed verified in gfs-utils-0.1.15-1.el5.

Comment 8 errata-xmlrpc 2008-05-21 14:36:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0349.html



Note You need to log in before you can comment on or make changes to this bug.